Loading...
Searching...
No Matches
hwcontext_opencl.h File Reference

API-specific header for AV_HWDEVICE_TYPE_OPENCL. More...

`#include <CL/cl.h>`
`#include "frame.h"`

Go to the source code of this file.

## Data Structures

struct | AVOpenCLFrameDescriptor
| OpenCL frame descriptor for pool allocation. More...
struct | AVOpenCLDeviceContext
| OpenCL device details. More...
struct | AVOpenCLFramesContext
| OpenCL-specific data associated with a frame pool. More...

## Detailed Description

API-specific header for AV_HWDEVICE_TYPE_OPENCL.

Pools allocated internally are always dynamic, and are primarily intended to be used in OpenCL-only cases. If interoperation is required, it is typically required to allocate frames in the other API and then map the frames context to OpenCL with av_hwframe_ctx_create_derived().

Definition in file hwcontext_opencl.h.